html{
	background-color:#646464b5;
}

canvas {
	border: 5px solid #303030;
	width: 100%;
	height: 100%;
	border-radius: 1em;
	box-sizing: border-box;
}

#container, #controls{
	width:90vw;
	max-width: 1000px;
	margin: auto;
}

body{
	width:90vw;
	max-width: 1000px;
	margin: auto;
}

#h1h {
	width: 100%;
	margin-top: 1vh;
}

h1 {
	top: 0;
	width: 100%;
	text-align: center;
	font: max(16px,min(30px,3vh)) Helvetica;
	font-weight: 100;
	color: black;
	white-space:nowrap;
}

#help {
	top: 0;
	width: 100%;
	text-align: left;
	font: 16px Helvetica;
	font-weight: 100;
	display: none;
	height: 20px;
	padding: 10px;
	margin-right: 60px;
	box-sizing: border-box;
	color: #bdb;
	background-color:#000;	
}

.help {
	border: 1px solid black;
	min-height: 65px;
	min-width: 100%;
	resize: vertical;
	overflow-y: scroll;
	overflow-x: hidden;
	max-height: fit-content(100%);
	max-width: fit-content;
}

.help a:link, a:hover, a:active {
	color: #ded;
	text-decoration: #ded underline;
}

.help a:visited {
	color: #9a9;
	text-decoration: none;
}

hr {
	border: 1px solid black;
	opacity: 0;
}

.help hr {
	border: 1px solid black;
	size: 0px;
	opacity: 0.2;
}

#kurz, #lang, #about {
	display: none;
}

#about {
	font: 20px Helvetica;
	text-align: left;
	font-weight: 120;
}

.about a:link, a:hover, a:active {
	color: #622;
	text-decoration: none;
}

.about a:visited {
	color: #311;
	text-decoration: none;
}

#showKurz, #showLang {
	font-size: 18px;

}

input[type="number"], .button, label, select{
	font:  max(205px,min(3vh,1.5em)) Helvetica;
}

table  tr td label{
	font: min(min(15px,3em),max(5vh,2em)) Helvetica;
	font-weight: 100;
}

label{
	margin-bottom:30px;
	position:relative !important
}

input[type="number"], .button, select{
	padding: 2px 6px 2px 6px;
	border: 0px solid #212121;
	border-radius: 10px;
	cursor: pointer;
	width:100%;
}

input[type="number"]{
	width: 80%;
	max-width: 99%;
	font-size: min(16px,max(1em,3vw));
	background-color: #ababab;
}

select{
	width: 95%;
	max-width: 99%;
	font-size: max(1em,1vw);
	background-color: #ababab;
	-webkit-appearance: none;
}

.button {
	text-decoration: none;
	background-color: #ababab;
	color: #333333;
	font-size: 1em;
	line-height: 160%;
}

.button span{
	text-align:center;
	position:relative;
}

#linkToDownld{
	position:absolute;
	left:0;
	box-sizing: border-box;
}

#container{
	max-height: 70vh;
	position: relative;
	width: 100%;
	height: min(50vh,50vw);
}

#touchtip {
	position: absolute;
	z-index: 102;
	width: 100%;
	bottom: 5px;
	height: 2.4em;
	margin: auto;
	color: #eeee66;
	text-align: center;
	font: min(30px,3vw) Helvetica;
	font-weight: 100;
	opacity: 0;
}

a, button, input {
	/*text-decoration: none;*/
	width:100%;
}

input[type="color"] { 
	cursor:pointer;
	border:0;
	height: 30px;
	width: calc(100% );
	-webkit-appearance: none;
	-moz-appearance: none;
	cursor:pointer;
	background:transparent;
	padding-left: 0
}

input[type="color"]:hover {
	cursor:pointer;
}

input[type="color"]::-webkit-color-swatch-wrapper {
	padding: 0;
	cursor:pointer
}

input[type="color"]::-webkit-color-swatch {
	border: solid 2px rgba(0,0,0,0.1);
	border-radius: 10px!important;
	cursor:pointer
}

input[type="color"]::-webkit-color-swatch:hover {
	-moz-box-shadow: inset 0 0 8px #000000;
	-webkit-box-shadow: inset 0 0 8px #000000;
	box-shadow: inset 0 0 8px #000000;
}

table {
	width:100%;
	table-layout:fixed;
	text-align:left;
}

*:focus,textarea, input[type="number"] {
	outline: none
}

#initalize{
	position:absolute;
	top: 0;
	left: 0;
	text-align:center;
	box-sizing: border-box;
	height: 100%;
	width: 100%;
	background: transparent;
	color: white;
	border: 0;
	font-size: min(2em, 10vw);
	white-space:nowrap;
	font-weight: 100;
	z-index: 3;
}

#initalize p{
	top: 50%;
	left: 50%;
	position: absolute;
	margin: auto auto;
	text-align:center;
	transform: translate(-50%, -50%);
	z-index: 3;
}

#controls{
	opacity:0.2;
}

label{
	width: 95%;
	position: inline-block;
	text-align:center !important;
}

td {
	position: relative;
	margin:0;
	text-align:center !important;
}

.cornerButtons {
	z-index: 101;
	position: absolute;
	margin: 0 0;
	top: 0em;
 	right: 0em;
	padding: 0;
	width: fit-content;
	margin-right: 0.5em;
}

.cornerButtons .button{
	z-index: 101;
	margin: 0 0;
	width: 1.5em;
	margin-top: 0.2em;
	border: 0;
	display: inline-block;
	background-color: rgba(255,255,255,0.6);
	width: 50px;
	height: 50px;
	position: relative;
	margin-right: auto;
	font-size:30px !important;
}

#menu {
	position: absolute;
	display: none;
	right: 60px;
	top: 50px;
	z-index: 102;
	text-align: left;
}

#menu ul {
	width: 100%;
}

#menu li {
	width: 100%;
	background-color: #333;
	color: white;
	opacity: 0.4;
	display: block;
	white-space:nowrap;
	font:  min(24px,max(14px,3vh)) Helvetica;
	padding: 5px;
	list-style-type: none;
}

#menu li a {
	width: 100%;
	display: block;
	background-color: #333;
	color: white;
	text-decoration: none;
}

#menu li a:any-link, #menu li a:-webkit-any-link {
	background-color: #333;
	color: white;
	text-decoration: none;
}

#menu li:hover,
#menu li:active,
#menu li:focus {
	opacity: 1 !important;
}

.menuRight {
	position: relative;
	right: -10px;
}

#windowed{
	display:none
}

input[type="file"]{
	width:100%;
	border: 2px solid;
	border-radius: 10px;
	-webkit-appearance: none;  color: transparent
}

input[type="file"]::-webkit-file-upload-button{
	-webkit-appearance: none;
	visibility: hidden
}

input[type="file"]::before {
	color: black;
	background-color: #ababab;
	position: absolute;
	top: 0;
	/* left: 0; */
	padding: 0 0 0 0;
	-webkit-appearance: none;
	cursor: pointer;
	/* content: 'upload file 📂'; */
	content: attr(title);
	border: 2px solid #888888;
	border-radius: 10px;
	box-sizing: border-box;
	white-space: nowrap;
	-webkit-user-select: none;
	cursor: pointer;
	font-size: 1.2em;
	width: 98%; height: 100%;
	text-align: center;
	font-weight: 100;
}
input[type="file"].suggestion::before {
	animation: suggest 1s;
	animation-iteration-count: 3;
}
input[type="file"].suggestion {
	animation: suggest 1s;
	animation-iteration-count: 3;
}

input[type="file"]:hover::before {
	border-color: black;
}

input[type="file"]:active::before {
	background: -webkit-linear-gradient(top, #e3e3e3, #f9f9f9);
}

audio {
	width: 100%;
}

audio::-webkit-media-controls-enclosure {
	width: 100%;
	position: absolute;
	height: 90px;
	background-color: #ababab;
	/* margin-left: 0.0em; */
	left: 0.01em;
	border: 2px solid #888888;
	border-radius: 10px;
	top: 0;
	height: 100px;
	max-height: 100%;
}

select{
	background-color: #ababab;
}

@keyframes suggest {
	0% { border-color: #646464b5; }
	25% { border-color: #ee0015; }
	50% { border-color: #ee0015; }
	100% { border-color: #646464b5; }
}
